#2994 closed defect (fixed)

tar01 XZ error

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This shows up on erc32 and psim.

/dest3/home/test_script: mode: 0755 want: 0755

========= /dest3/symlink =========
(0)This is a test of loading an RTEMS filesystem from an
initial tar image.

Untaring chunks from txz - XZ file is corrupt (data)
../../../../../../../rtems/c/src/../../testsuites/libtests/tar01/init.c: 272 status == UNTAR_SUCCESSFUL

Change History (4)

comment:1 Changed on Apr 15, 2017 at 1:06:43 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Jun 13, 2017 at 9:45:57 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In c7377381/rtems:

xz: Use CRC32

This reverts c475924d6d2ea7d5cba160a8a28e88642d6b46d8.

Update #2909.
Close #2994.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.